## org.apache.tomcat.util.net
Class AprEndpoint.SocketWithOptionsProcessor

    java.lang.Object
      org.apache.tomcat.util.net.AprEndpoint.SocketWithOptionsProcessor

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  AprEndpoint

    protected class AprEndpoint.SocketWithOptionsProcessor

extends java.lang.Object
implements java.lang.Runnable

This class is the equivalent of the Worker, but will simply use in an external Executor thread pool. This will also set the socket options and do the handshake.

Field Summary
`protected long` `socket`

Constructor Summary
`AprEndpoint.SocketWithOptionsProcessor(long socket)`

Method Summary
`void` `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### socket

    protected long socket

Constructor Detail

### AprEndpoint.SocketWithOptionsProcessor

    public AprEndpoint.SocketWithOptionsProcessor(long socket)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.